lib_LTLIBRARIES = libjavadcop.la

libjavadcop_la_SOURCES = client.cpp 
libjavadcop_la_LDFLAGS = $(KDE_LDFLAGS) $(KDE_PLUGIN) -lDCOP -lkdecore -lkdeui $(LIB_QT) -lkjs -lkdefx
libjavadcop_la_LIBADD = $(LIB_KDECORE)

INCLUDES = $(jni_includes) $(all_includes)

client.$(OBJEXT): org_kde_DCOP_Client.h 

client.lo: org_kde_DCOP_Client.h 

org_kde_DCOP_Client.h:
	$(MAKE) -C org
	$(JAVAH)  -classpath .:$(srcdir) -jni org.kde.DCOP.Client

SUBDIRS = org

CLEANFILES = org_kde_DCOP_Client.h
